Package htsjdk.samtools.util.nio

# Class DeleteOnExitPathHook

java.lang.Object
htsjdk.samtools.util.nio.DeleteOnExitPathHook

public class DeleteOnExitPathHook extends Object
Class to hold a set of `Path` to be delete on the JVM exit through a shutdown hook.

This class is a modification of `DeleteOnExitHook` to handle `Path` instead of `File`.

## Method Summary

Modifier and Type
Method
Description
`static void`
`add(Path path)`
Adds a `Path` for deletion on JVM exit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public static void add(Path path)
Adds a `Path` for deletion on JVM exit.

Parameters:
  `path` - path to be deleted.
Throws:
  `IllegalStateException` - if the shutdown hook is in progress.